* { 
    margin: 0;
    padding: 0;
    font-family: 'Times New Roman', Times, serif;
}

.page { 
    height: 100vh;
    width: 100vw;
}

/*HEADER INFORMATION*/

header {
    width: 100%;
    overflow: hidden;     
   }
   
/*NAVIGATION BAR*/

nav {
    display: flex; /* To Distribute the Items across the Nav Bar */
    align-items: center;
    justify-content:space-between; 
    padding: 1vw;
    background-color: #20243d;
    color: #fff;
}

.navIcon{
  font-size: 2vw;
  padding-left: 1.5vw;
  padding-right: 1.5vw;
}

.navIcon img{
  width: 2vw;
  height: 2vw;
}

.navbar-ul {
  display:flex;
  gap: 2vw;
 }

.navbar-ul a {  
  text-decoration: none; /*Remove the underline*/
  color: white;
  font-size: 2vw;
}

.navbar-ul li {
  padding-inline: 1.5vw;
  list-style: none;
 }

.navbar-ul li:hover { /* Update backgroud Color when hover*/
  background-color: #c17737;
  transition: 0.2s ease;
 }


/* %%%%%%% MAIN - COMMON/SHARED COMPONENTS %%%%%%%%%%*/

 /* PAGE SECTIONS - SHARED SETTINGS */
.pagesegment {
  height: 90vh;
  width: 100%;
  overflow: hidden;  
 }

/* ORDER NOW BUTONS*/
.orderNowButton {
  background-color: #20243d;
  border: none;
  border-radius: 2vw;
  color: white;
  text-align: center;
  margin-top: 1.5vw;
  width: 17vw;
  padding: 1vw;
  font-weight: bold;
  font-size: 1.5vw;
  cursor: pointer;
}


/* PAGE TITLES*/
.subPageTitle{
  padding-top: 4vw;
  padding-bottom: 1vw;
  color: white;
  font-size: 3.5vw;
}

.subPageSubTitle{
  color: white;
  font-size: 1.5vw;
  width: 60%;
  padding-top: 1vw;
  padding-bottom: 1vw;
}

/* HALF PAGE CONTAINERS*/
.halfPageImageContainer{
  width: 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-content: center;
  align-items: center;
  padding-right: 7vw;
}

.halfPageImageContainer > img{
  width: 30vw;
  height: 30vw;
  border-radius: 30vw;
}

.halfPageTextContainer{
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  padding-left: 7vw;
}

.halfPageTextContainer > h1 {
  color: #20243d;
}

.menuItem {
  display: flex;
  flex-direction: column;
  /*justify-content:space-between;*/
  align-items: center;
  padding: 1vw;
}

.menuItem img{
  width: 15vw;
  height: 15vw;
  border-radius: 10vw;
}

.menuItem h1{
  padding: 0.5vh;
  font-size: 4vh;
}

.menuItem h2{
  padding: 0.5vh;
  font-size: 2vh;
}

/* %%%%%%% FIRST SECTION %%%%%%%%%%*/
.firstPageSegment{
  background-image: url(../asserts/Background.jpg);
  background-size: 100vw auto;
  background-repeat: no-repeat;
  height: 80%;
  width: 100%;
  overflow: hidden;
 }

 .firstPageSegment div {
  width: 40vw; 
  height: 80vh; 
  float: left;
  font-style: italic;
  color: #fff;
  padding-left: 1vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding-left: 2vw;
}

.firstPageSegment > div > h1 {
  font-size: 6vw;
  padding-bottom: 3vh;
  text-shadow: 0 0 3px #111111, 0 0 5px #111111;
}
.firstPageSegment > div > h2 {
  font-size: 2vw;
  padding-bottom: 3vh;
  text-shadow: 0 0 3px #111111, 0 0 5px #111111;
}

/* %%%%%%% SECOND SECTION %%%%%%%%%%*/
.secondPageSegment{
  background-color: #20243d;
  color: #fff;
  display: flex;  
  flex-direction: column;
  align-items: center;
  justify-content:space-between; 
  text-align: center;
 }
 
.menuItemsContainer {
  display: flex;
  justify-content: center;
  justify-content:space-between;
  padding: 2vw;
  padding-bottom: 4vw;
  width: 60%;
}

/* %%%%%%% THIRD SECTION %%%%%%%%%%*/
.thirdPageSegment{
  background-color: #ffd07e;
  color: #20243d;
  display: flex;  
  flex-direction: row;
  align-items: center;
  justify-content:space-between;
}

/* %%%%%%% STATISTICS SECTION %%%%%%%%%%*/
.circle {
  display: flex;
  border-radius: 10vw;
  width: 9vw;
  height: 9vw;
  padding: 3vw;
  background: #20243d;
  border: 0.5vw solid #fff;
  color:#fff;
  text-align: center;
  font: 2vw Arial, sans-serif; 
  font-weight: bold; 
  align-items: center;
}

/* %%%%%%% REVIEW SECTION %%%%%%%%%%*/
.reviewSegment{
  background-image: url(../asserts/Background.jpg);
  background-size: 100vw auto;
  background-repeat: no-repeat;
}

.reviewSegmentContainer {
  width: 100%;
  height: 100%;
  background-color: #20243d;
  opacity: 0.9;  
  color: white;
  display: flex;  
  flex-direction: column;
  align-items: center;
  padding-top: 10vw;
  padding-bottom: 10vw;
  gap: 3vw;
  text-align: center;
}

.reviewSegmentContainer > img {
  width: 15vw;
  height: 15vw;
  border-radius: 10vw;
}

.reviewSegmentContainer > h2{
  width: 70vw;
  font: 1.5vw Arial, sans-serif;
}

.reviewSegmentContainer > h1{
  width: 70vw;
  font: 2vw Arial, sans-serif;
  text-align: center;
  font-weight: bold;
}

/* %%%%%%% SUBSCRIBE SECTION %%%%%%%%%%*/
.subscribeSegment{
  background-color: #ffd07e;
  color: #20243d;
  display: flex;  
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 1.5vw;
  padding: 3vw;
  align-content: center;
  justify-content: center;
}

.subscribeSegment > h1{
  color: #20243d;
}

.inputContainer{
  display: inline;
}

.inputContainer > button {
  margin-top: 0vw;
  margin-left: -2vw;
}

.emailInputText {
  border-radius: 1vw;
  size: 20vw;
}

/* %%%%%%% ABOUT SECTION %%%%%%%%%%*/
.aboutSegment{
  background-color: #111111;
  display: flex;
  align-content: center;
  align-items: center;
  justify-content: center;
}

.aboutSegmentContainer{
  display: flex;
  flex-direction: row;
  align-content: center;
  justify-content:space-between;
  color: white;
  width: 80%;
}

.socialMediaIconsContainer{
  display: flex;
  flex-direction: column;
  padding: 1vw;
}

.socialMediaIconsContainer img{
  width: 15vw;
  height: 15vw;
  border-radius: 10vw;
}

.socialMediaIconsContainer h1{
  padding: 0.5vh;
  font-size: 4vh;
}

.socialMediaIconsContainer h2{
  padding: 0.5vh;
  font-size: 2vh;
  width: 30vw;
}

/* %%%%%%% FORM SECTION %%%%%%%%%%*/

.subscribeForm {
  display: none;
  position:fixed;
  bottom: 1vw;
  right: 1vw;
  border: 0.5vw solid #111111;
}

/* Add styles to the form container */
.form-container {
  max-width: 35vw;
  padding: 1vw;
  background-color: #fffefd;
}

.form-container > h1 {
  font-size: 3vw;
  text-align: center;
}

/* Full-width input fields */
.form-container > label {
  display: block;
  font-size: 1.5vw;
  text-align: left;
  margin-top: 0.3vw;
}

.form-container > input {
  width: 90%;
  padding: 1vw;
  margin: 0.5vw 0 0.5vw 0;
  border: none;
  background: #f1f1f1;
  height: 1vw;
}

/* When the inputs get focus, do something */
.form-container > input:focus {
  background-color: #ddd;  
}

/* Set a style for the submit/login button */
.form-container .btn {
  color: white;
  background-color: #20243d;
  border-radius: 2vw;
  color: white;
  width: 17vw;
  padding: 1vw;
  font-weight: bold;
  font-size: 1vw;
  cursor: pointer;
  height: fit-content;
  margin-top: 1vw;
}

/* Add a red background color to the cancel button */
.form-container .cancel {
  background-color: rgb(141, 22, 22);
}

/* Add some hover effects to buttons */
.form-container .btn:hover, .open-button:hover {
  opacity: 1;
}

/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% */
/* %%%%%%% Responsive Design For Cellphone %%%%%%%%%%*/
/* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% */

@media (max-width: 499px) and (min-width: 0px) {


   /* PAGE SECTIONS - SHARED SETTINGS */
  .pagesegment {
    height: 60vh;
    width: 100vw;
  }

  .subPageTitle{
    font-size: 6vw;
  }
  
  .subPageSubTitle{
    font-size: 3.5vw;
    width: 70%;
  }

  /* FIRST SECTION */
  .firstPageSegment {
    width: 100vw; 
    height: 30vh;
    align-items: center;
  }
  
  .firstPageSegment div {
    width: 100%; 
    height: 100%;
    align-items: center;
  }

  .firstPageSegment div h2{
    width: 70vw;    
  }

  .firstPageSegment > div > h1 {
    font-size: 5vw;
    padding-bottom: 1vh;    
  }
  .firstPageSegment > div > h2 {
    font-size: 4vw;
    padding-bottom: 1vh;    
  }

  .orderNowButton {
    width: 25vw;
    font-size: 2.5vw;
    padding: 1.5vw;
  }

  /* SECOND SECTION */

  .menuItemsContainer {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    justify-content:space-evenly;
    padding: 1vw;
    width: 50vw;
    height: 40vh;
    padding-bottom: 7vw;
  }

  .menuItem img{
    width: 15vw;
    height: 15vw;
    border-radius: 10vw;
  }
  
  .menuItem h1{
    padding: 0.5vh;
    font-size: 2vh;
  }
  
  .menuItem h2{
    padding: 0.5vh;
    font-size: 1.3vh;
  }

  .thirdPageSegment{ 
    flex-direction: column;
  }

  /* THIRD SECTION */

  .halfPageTextContainer  {
    align-items: center;
    width: 100%;
    order: 0;
    padding-left: 0vw;
  }

  .halfPageImageContainer {
    align-items: center;
    width: 100%;
    order: 1;
    padding-right: 0vw;
  }

  .halfPageImageContainer > img{
    width: 50vw;
    height: 50vw;
    border-radius: 50vw;
  }


  /* STATISTICS SECTION */

  .circle {
    border-radius: 15vw;
    width: 15vw;
    height: 15vw;
    padding: 3vw;    
    border: 0.8vw solid #fff;
    font: 4vw Arial, sans-serif; 
    font-weight: bold; 
  }


  /* REVIEW PAGE */
  .reviewSegment{
    height: 30vh;
  }

  .reviewSegmentContainer > h2{
    font: 2.5vw Arial, sans-serif;
  }

  .reviewSegmentContainer > h1{
    font: 4vw Arial, sans-serif;
  }

  /* SUBSCRIBE PAGE */
  .subscribeSegment{
    height: 30vh;
    padding: 0vw;
  }

  /* ABOUT SECTION */
  .aboutSegmentContainer{
    flex-direction: row;
    flex-wrap: wrap;
  }

  .aboutSegmentContainer > div {
    flex: 40%;
  }

  .socialMediaIconsContainer {
    align-items: center;

  }

  .socialMediaIconsContainer h1{
    padding: 0.5vh;
    font-size: 2vh;
  }
  
  .socialMediaIconsContainer h2{
    padding: 0.5vh;
    font-size: 1.3vh;
    width: 50vw;
    text-align: justify;
  }

  /* SUBSCRIBE FORM */
  .subscribeForm {
    position:fixed;
    bottom: 25%;
    right: 8%;
  }

  .form-container {
    max-width: 80vw;
    padding: 1vw;
    background-color: #fffefd;
  }
  
  .form-container > h1 {
    font-size: 7vw;
  }
  
  /* Full-width input fields */
  .form-container label {
    font-size: 4.5vw;
  }
  
  .form-container input {
    width: 90%;
    height: 7vw;
  }
  
  /* Set a style for the submit/login button */
  .form-container .btn {
    border-radius: 15vw;
    width: 25vw;
    padding: 1vw;
    font-size: 3vw;
  }

}






 